{
  "compilerOptions": {
    "target": "ES2020",
    "useDefineForClassFields": true,
    "lib": ["ESNEXT", "DOM", "DOM.Iterable"],
    "module": "ESNext",
    "skipLibCheck": true,
    "rootDir": ".",
    "allowJs": true,

    /* Bundler mode */
    "moduleResolution": "bundler",
    "baseUrl": ".",
    "paths": {
      "*": ["node_modules/*", "src/types/*"],
      "@/*": ["./src/*"]
    },
    "allowSyntheticDefaultImports": true,
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "react-jsx",

    /* Linting */
    "strict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noFallthroughCasesInSwitch": true,
    "types": ["vitest/globals"]
  },
  "include": [
    "src",
    "vitest.config.ts",
    "vitest.setup.ts",
    "vite-env.d.ts",
    "vite.config.ts",
    "tailwind.config.ts",
    "postcss.config.mjs"
  ]
}
